# Introduction

This repository include the code (and some smaller example datasets) shared with the paper:

Martin Lindblom, Oscar Jarpehult, Mathilda Mostrom, Alexander Edberg, and Niklas Carlsson, \
"Third-party Link Shortener Usage on Twitter", \
Proc. IFIP Network Traffic Measurement and Analysis Conference (TMA), Sept. 2021. 

Should you mention or use our framework or code in your work, we kindly ask that you reference our paper in your publication.

# Instructions

Following this are the instructions to be able to run the collection tool.

## Requirements
* Python3
* pip3

## Configuration
1. **Add Twitter secrets to config.conf**
	* Access Token
	* Access Secret
	* Consumer Key
	* Consumer Secret

2. **Add Bit.ly Token to config.conf**

3. **Enter desired values for collection configuration**
    * COLLECTION_TIME: Total runtime in minutes
    * COLLECTION_INTERVAL: Length of sub-collections in minutes
    * EXTRA_DATA_DELAY: Time to wait before collecting extra data in minutes

(See paper for more detailed information)

## Installation
1. pip3 install -r requirements.txt \
2. python3 main.py

## Output
Output data and logs are written to their corresponding folders under ./data.